module AwsClient
  class ElbWrapper < AwsClient::Wrapper

    def instances
      raw_instances = get_all_instance_pages.collect{|page| page.load_balancer_descriptions }.flatten
      instances = raw_instances.collect{|raw_instance| ::AwsClient::Elb.new(raw_instance) }
      return instances
    end

    def get_all_instance_pages
      all_instance_pages = []
      pages = client.describe_load_balancers
      all_instance_pages << pages.data
      while pages.next_page?
        pages = pages.next_page
        all_instance_pages << pages.data
      end
      return all_instance_pages
    end

  end
end
